package com.engine.salary.service;

import com.engine.salary.entity.salaryBill.po.SalarySendRangeObj;

import java.util.Collection;
import java.util.List;

/**
 * @Description: 工资单发放撤回筛选范围对象
 * @Author: LFC
 */
public interface SalarySendRangeObjService {

    /**
     * 根据名称和工资单发放id获取列表
     *
     * @param salarySendId
     * @param rangeIds
     * @return
     */
    List<SalarySendRangeObj> listBySalarySendIdAndRangeIds(Long salarySendId, List<Long> rangeIds);

    /**
     * 根据工资饭发放id删除
     *
     * @param salarySendIds
     */
    void deleteBySalarySendIds(Collection<Long> salarySendIds);

    void replaceAllByRangeIds(Long rangeIds, List<SalarySendRangeObj> rangeObjs);

    /**
     * 根据发放id和范围id获取发放信息id
     *
     * @param salarySendId
     * @param rangeIds
     * @return
     */
    List<Long> getSendInfoIdsBySalarySendIdAndRangeIds(Long salarySendId, List<Long> rangeIds);

    void deleteBySalarySendRangeIds(List<Long> salarySendRangeIds);
}